Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.params
Class MultiPeriodGenParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.params.MultiPeriodGenParams

Direct Known Subclasses:
  ServiceTimeParams

    public class MultiPeriodGenParams

extends Object

Represents parameters for a random variate generator over multiple periods.

Nested Class Summary
`static class` | `MultiPeriodGenParams.PeriodGen` Java class for anonymous complex type.

Field Summary
`protected RandomVariateGenParams` | `defaultGen`
`protected String` | `distributionClass`
`protected Boolean` | `estimateParameters`
`protected String` | `generatorClass`
`protected Double` | `mult`
`protected List<MultiPeriodGenParams.PeriodGen>` | `periodGen`
`protected RandomVariateGenParams` | `preGen`
`protected Double` | `shift`
`protected TimeUnitParam` | `unit`
`protected RandomVariateGenParams` | `wrapGen`

Constructor Summary
`MultiPeriodGenParams()`

Method Summary
`RandomVariateGenParams` | `getDefaultGen()` Gets the value of the defaultGen property.
`String` | `getDistributionClass()` Gets the value of the distributionClass property.
`String` | `getGeneratorClass()` Gets the value of the generatorClass property.
`double` | `getMult()` Gets the value of the mult property.
`List<MultiPeriodGenParams.PeriodGen>` | `getPeriodGen()` Gets the value of the periodGen property.
`RandomVariateGenParams` | `getPreGen()` Gets the value of the preGen property.
`double` | `getShift()` Gets the value of the shift property.
`TimeUnitParam` | `getUnit()` Gets the value of the unit property.
`RandomVariateGenParams` | `getWrapGen()` Gets the value of the wrapGen property.
`boolean` | `isEstimateParameters()` Gets the value of the estimateParameters property.
`boolean` | `isSetDefaultGen()`
`boolean` | `isSetDistributionClass()`
`boolean` | `isSetEstimateParameters()`
`boolean` | `isSetGeneratorClass()`
`boolean` | `isSetMult()`
`boolean` | `isSetPeriodGen()`
`boolean` | `isSetPreGen()`
`boolean` | `isSetShift()`
`boolean` | `isSetUnit()`
`boolean` | `isSetWrapGen()`
`void` | `setDefaultGen(RandomVariateGenParams value)` Sets the value of the defaultGen property.
`void` | `setDistributionClass(String value)` Sets the value of the distributionClass property.
`void` | `setEstimateParameters(boolean value)` Sets the value of the estimateParameters property.
`void` | `setGeneratorClass(String value)` Sets the value of the generatorClass property.
`void` | `setMult(double value)` Sets the value of the mult property.
`void` | `setPreGen(RandomVariateGenParams value)` Sets the value of the preGen property.
`void` | `setShift(double value)` Sets the value of the shift property.
`void` | `setUnit(TimeUnitParam value)` Sets the value of the unit property.
`void` | `setWrapGen(RandomVariateGenParams value)` Sets the value of the wrapGen property.
`void` | `unsetEstimateParameters()`
`void` | `unsetMult()`
`void` | `unsetPeriodGen()`
`void` | `unsetShift()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultGen

    protected RandomVariateGenParams defaultGen

### preGen

    protected RandomVariateGenParams preGen

### wrapGen

    protected RandomVariateGenParams wrapGen

### periodGen

    protected List<MultiPeriodGenParams.PeriodGen> periodGen

### distributionClass

    protected String distributionClass

### generatorClass

    protected String generatorClass

### shift

    protected Double shift

### estimateParameters

    protected Boolean estimateParameters

### unit

    protected TimeUnitParam unit

### mult

    protected Double mult

Constructor Detail

### MultiPeriodGenParams

    public MultiPeriodGenParams()

Method Detail

### getDefaultGen

    public RandomVariateGenParams getDefaultGen()

  Gets the value of the defaultGen property.

  Returns:
    possible object is `RandomVariateGenParams`

### setDefaultGen

    public void setDefaultGen(RandomVariateGenParams value)

  Sets the value of the defaultGen property.

  Parameters:
    `value` - allowed object is `RandomVariateGenParams`

### isSetDefaultGen

    public boolean isSetDefaultGen()

### getPreGen

    public RandomVariateGenParams getPreGen()

  Gets the value of the preGen property.

  Returns:
    possible object is `RandomVariateGenParams`

### setPreGen

    public void setPreGen(RandomVariateGenParams value)

  Sets the value of the preGen property.

  Parameters:
    `value` - allowed object is `RandomVariateGenParams`

### isSetPreGen

    public boolean isSetPreGen()

### getWrapGen

    public RandomVariateGenParams getWrapGen()

  Gets the value of the wrapGen property.

  Returns:
    possible object is `RandomVariateGenParams`

### setWrapGen

    public void setWrapGen(RandomVariateGenParams value)

  Sets the value of the wrapGen property.

  Parameters:
    `value` - allowed object is `RandomVariateGenParams`

### isSetWrapGen

    public boolean isSetWrapGen()

### getPeriodGen

    public List<MultiPeriodGenParams.PeriodGen> getPeriodGen()

  Gets the value of the periodGen property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the periodGen property.

  For example, to add a new item, do as follows:

          getPeriodGen().add(newItem);

  Objects of the following type(s) are allowed in the list `MultiPeriodGenParams.PeriodGen`

### isSetPeriodGen

    public boolean isSetPeriodGen()

### unsetPeriodGen

    public void unsetPeriodGen()

### getDistributionClass

    public String getDistributionClass()

  Gets the value of the distributionClass property.

  Returns:
    possible object is `String`

### setDistributionClass

    public void setDistributionClass(String value)

  Sets the value of the distributionClass property.

  Parameters:
    `value` - allowed object is `String`

### isSetDistributionClass

    public boolean isSetDistributionClass()

### getGeneratorClass

    public String getGeneratorClass()

  Gets the value of the generatorClass property.

  Returns:
    possible object is `String`

### setGeneratorClass

    public void setGeneratorClass(String value)

  Sets the value of the generatorClass property.

  Parameters:
    `value` - allowed object is `String`

### isSetGeneratorClass

    public boolean isSetGeneratorClass()

### getShift

    public double getShift()

  Gets the value of the shift property.

  Returns:
    possible object is `Double`

### setShift

    public void setShift(double value)

  Sets the value of the shift property.

  Parameters:
    `value` - allowed object is `Double`

### isSetShift

    public boolean isSetShift()

### unsetShift

    public void unsetShift()

### isEstimateParameters

    public boolean isEstimateParameters()

  Gets the value of the estimateParameters property.

  Returns:
    possible object is `Boolean`

### setEstimateParameters

    public void setEstimateParameters(boolean value)

  Sets the value of the estimateParameters property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetEstimateParameters

    public boolean isSetEstimateParameters()

### unsetEstimateParameters

    public void unsetEstimateParameters()

### getUnit

    public TimeUnitParam getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `TimeUnitParam`

### setUnit

    public void setUnit(TimeUnitParam value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `TimeUnitParam`

### isSetUnit

    public boolean isSetUnit()

### getMult

    public double getMult()

  Gets the value of the mult property.

  Returns:
    possible object is `Double`

### setMult

    public void setMult(double value)

  Sets the value of the mult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetMult

    public boolean isSetMult()

### unsetMult

    public void unsetMult()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.